#!/usr/local/bin/tclsh8.4

set flist [split [read stdin] \n] ;# read stdin and split into lines

foreach line $flist {
   if {[regexp {.*KNHC .*([0-3][0-9])([012][0-9][0-5][0-9])} $line a \
                  date time]} {
      set adv_date $date ; set adv_timeutc $time
   } elseif {[regexp {LOCATION[^0-9]*([0-9.]*)N ([0-9.]*)W} $line a lat long]} {
      set adv_lat $lat ; set adv_long $long
   } elseif {[regexp \
         {^(.*) ([^ ][^ ]*) INTERMEDIATE ADVISORY NUMBER  *([0-9A-Z]*)$} \
         $line a type name number]} {
      set st_type $type
      set st_name $name
      set advno $number
   }



} elseif {[regexp {^SUBTROPICAL STORM} $line]}   {
} elseif {[regexp {^TROPICAL DEPRESSION} $line]} {
} elseif {[regexp {^TROPICAL STORM} $line]}      {
} elseif {[regexp {^HURRICANE} $line]}           {
}











}


